%define qtdir %_libdir/qt3

Name: kvpnc
Version: 0.8
Release: alt1

Group: Networking/Remote access
Summary: KDE frontend for various vpn clients
Url: http://home.gna.org/kvpnc/
License: GPL

Requires: %{get_dep kdelibs} openssl psmisc ppp iptables

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Wed Oct 05 2005
BuildRequires: gcc-c++ kdelibs-devel libqt3-devel libstdc++-devel xml-utils XFree86-devel zlib-devel

%description
KVpnc is a KDE frontend for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
vpnc is a replacement for the cisco VPN client and its used as client
for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) is a IPSec client
for Linux 2.4.x and racoon is a IPSec client for Linux 2.6.x and *BSD.
It supports also PPTP (pptpclient) and OpenVPN.

%prep
%setup -q
make -f admin/Makefile.common

#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" configure
subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
subst "s/\.la/.so/g" configure

%build
export KDEDIR=%prefix
export QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:/usr/bin:$PATH
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--enable-final \
	--enable-shared \
	--disable-static \
	--disable-rpath \
	--disable-debug \
	--without-arts

%make_build

%install
%make  DESTDIR=%buildroot install

%__mkdir_p %Kb_menudir
%Kd2m %name "Networking/Remote access" %Kbapplnk/Internet/%name.desktop %Kb_menudir/%name

%find_lang --with-kde %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_docdir/HTML/%name
#
%_bindir/%name
%_datadir/apps/%name
%_menudir/%name
%_datadir/applnk/Internet/kvpnc.desktop
%_iconsdir/*/*/apps/kvpnc.*
%_iconsdir/*/*/actions/kvpnc-*

%changelog
* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- initial spec

